Browse the API reference

Update User Profile

put/v1/user

Part of User.

Authentication

Authenticate in any one of these ways — not all of them:

  • API key in the X-API-Key header.
  • Bearer token in the Authorization header.

Request body

Required, application/json.

FieldTypeDescription
nameoptionalstring

User's display name

emailoptionalstring (email)

User's email address

reauth_passwordoptionalstring

Password re-entry, required to change email for a password-holding account

reauth_assertionoptionalobject

A fresh mgmt-flow passkey assertion, required to change email for a passkey-only account

Example request

curl
curl -X PUT "https://api.robosystems.ai/v1/user" \
  -H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "email": "user@example.com",
  "reauth_password": "string",
  "reauth_assertion": {}
}'

Responses

200 Successful Response

FieldTypeDescription
idrequiredstring

Unique identifier for the user

nameoptionalstring

User's display name

emailoptionalstring

User's email address

email_verifiedoptionalboolean

Whether user's email is verified

Default: false

accountsoptionalAccountInfo[]

User's authentication accounts

AccountInfo fields
FieldTypeDescription
providerrequiredstring

Authentication provider ID (e.g., 'github', 'google')

provider_typerequiredstring

Type of provider

provider_account_idrequiredstring

Account ID at the provider

StatusMeaning
400Invalid request
401Authentication required
403Access denied
409Email already in use
422Validation Error
429Rate limit exceeded
500Internal server error